package com.arnaudpc;
public class Utils {
    
   /**
     * Cette méthode retourne la chaîne de caractères, après avoir échappé tous les caractères qui doivent l'être,<br>
     * pour être utilisée dans une requête de base de données.
     * @param s La chaîne de caractères à traiter     
     * @return la chaîne traitée	  
     */     
       public static String addSlashes(String s) {
         return s.replaceAll("(['\"\\\\])", "\\\\$1");
      }
      
   /**
     * Cette méthode supprime les antislashs d'une chaîne.
     * @param s La chaîne de caractères à traiter     
     * @return la chaîne traitée
     */      
       public static String stripSlashes(String s) {
         return s.replaceAll("\\\\(['\"\\\\])", "$1");
      }
      
   /**
     * Cette méthode transforme une chaîne de caractères en entier si cette chaîne représente un entier.<br>
     * Elle propagez une exception sinon.
     * @param s La chaîne de caractères à traiter     
     * @return l'entier correspondant
     * @throws NumberFormatException dont le message est "String is null"     
     */   	    
       public static int checkNumeric(String s) throws NumberFormatException {
         if (s != null) {
            return Integer.parseInt(s);
         } 
         else throw new NumberFormatException("String is null");
      }
   }